#!/bin/bash

# 获取initramfs的配置文件路径
initramfs_conf="/etc/initramfs-tools/initramfs.conf"
# 获取系统架构信息
architecture=$(uname -m)

# 判断系统架构是否为x86
if [ "$architecture" == "i686" ] || [ "$architecture" == "x86_64" ]; then
  echo "系统架构是x86."
  # 判断当前MODULES设置是否为most
  if grep -q '^MODULES=most$' "$initramfs_conf"; then
    echo "MODULES setting is 'most'. Changing to 'dep'..."
    # 将MODULES设置从most改为dep
    sed -i 's/^MODULES=most$/MODULES=dep/' "$initramfs_conf"
    # 重新生成initrd.img
    update-initramfs -u
    echo "initrd.img has been regenerated with MODULES set to 'dep'."
  else
    echo "MODULES setting is not 'most'. No action needed."
  fi
else
  echo "系统架构不是x86."
fi
